Skip to content

Bulk Update Budget Flights

Request

Update multiple budget flights

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/json
budget_flightsobject
POST
/bulk_update/budget_flights
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/bulk_update/budget_flights \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "budget_flights": {
      "create": [
        {
          "start_date": "2019-08-24T14:15:22Z",
          "end_date": "2019-08-24T14:15:22Z",
          "total_budget": 0.1,
          "total_impression_budget": 12345,
          "campaign_id": 12
        }
      ],
      "update": [
        {
          "id": 55,
          "start_date": "2019-08-24T14:15:22Z",
          "end_date": "2019-08-24T14:15:22Z",
          "total_budget": 0.1,
          "total_impression_budget": 12345
        }
      ],
      "delete": [
        {
          "id": 5
        }
      ]
    }
  }'

Responses

Updated budget flight list

Bodyapplication/json
dataArray of items
metaobject(pagination metadata)
Response
{ "data": [ [] ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }